
CoCoA-5 - Design #563

Remove ZMOD type from CoCoAInterpreter

20 May 2014 18:15 - John Abbott

Status: Closed Start date: 20 May 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Parser/Interpreter Estimated time: 2.00 hours

Target version: CoCoA-5.1.1 Seoul14 Spent time: 0.80 hour

Description

The type ZMOD is no longer used -- remove it from C5.

History

#1 - 01 Sep 2014 14:31 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 80

I've removed (commented out) the relevant lines in Interpreter.C and AST.H.

I also had to change two packages (sppoly.cpkg5 and io.cpkg5).  All C5 tests pass.

I'll wait for Anna to confirm my changes before checking in.

#2 - 01 Sep 2014 18:30 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

Checked everything by eye with Anna; checked in.  Closing.
